Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemAttributeSet

    java.lang.Object
      org.apache.xml.utils.UnImplNode
          org.apache.xalan.templates.ElemTemplateElement
              org.apache.xalan.templates.ElemUse
                  org.apache.xalan.templates.ElemAttributeSet

All Implemented Interfaces:
  Document, Element, ExpressionNode, Node, NodeList, PrefixResolver, java.io.Serializable, SourceLocator, WhitespaceStrippingElementMatcher, XSLTVisitable

public class ElemAttributeSet
extends ElemUse

Implement xsl:attribute-set.

     &!ELEMENT xsl:attribute-set (xsl:attribute)*>
     &!ATTLIST xsl:attribute-set
       name %qname; #REQUIRED
       use-attribute-sets %qnames; #IMPLIED
     &

See Also:
  attribute-sets in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Field Summary
`QName` | `m_qname` The name attribute specifies the name of the attribute set.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElemAttributeSet()`

Method Summary
`ElemTemplateElement` | `appendChildElem(ElemTemplateElement newChild)` Add a child to the child list
`void` | `execute(TransformerImpl transformer)` Apply a set of attributes to the element.
`QName` | `getName()` Get the "name" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `recompose(StylesheetRoot root)` This function is called during recomposition to control how this element is composed.
`void` | `setName(QName name)` Set the "name" attribute.

Methods inherited from class org.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_qname

    public QName m_qname

  The name attribute specifies the name of the attribute set.

Constructor Detail

### ElemAttributeSet

    public ElemAttributeSet()

Method Detail

### setName

    public void setName(QName name)

  Set the "name" attribute. The name attribute specifies the name of the attribute set.

  Parameters:
    `name` - Name attribute to set

### getName

    public QName getName()

  Get the "name" attribute. The name attribute specifies the name of the attribute set.

  Returns:
    The name attribute of the attribute set

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Overrides:
    `getXSLToken` in class `ElemTemplateElement`
  Returns:
    Token ID of the element
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `ElemTemplateElement`
  Returns:
    The name of this element

### execute

    public void execute(TransformerImpl transformer)
                 throws TransformerException

  Apply a set of attributes to the element.

  Overrides:
    `execute` in class `ElemUse`
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
  Throws:
    `TransformerException`

### appendChildElem

    public ElemTemplateElement appendChildElem(ElemTemplateElement newChild)

  Add a child to the child list.

  Parameters:
    `newChild` - Child to be added to this node's list of children
  Returns:
    The child that was just added to the list of children
  Throws:
    `DOMException`

### recompose

    public void recompose(StylesheetRoot root)

  This function is called during recomposition to control how this element is composed.

  Overrides:
    `recompose` in class `ElemTemplateElement`
  Parameters:
    `root` - The root stylesheet for this transformation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.